extern sprite hero;	//sprite
extern background bg;	//background
obstacle enemy;	//non-player sprite
transporter transporter0;	//transporter
textbox textbox0;


int scene1init(){

  hero.setMask("herman_mask.bmp");
  hero.setXYZ(0,0,1);
  hero.clearImage();
  hero.setImage("herman.bmp");
  hero.setHitBox(10,10,10,10);
  hero.setScale(.1,.1);

  enemy.setMask("sprite_mask.bmp");
  enemy.clearImage();
  enemy.setImage("sprite.bmp");
  enemy.setXYZ(11,-9,1);
  enemy.setHitBox(2,2,2,2);
  enemy.setScale(.5,.5);

  bg.clearImage();
  bg.setImage("test_im.bmp");
  bg.setBoundaryImage("test_im_bnd.bmp");
  bg.setScale(1.5,1.5);

  transporter0.setMask("4x4mask.bmp");
  transporter0.clearImage();
  transporter0.setImage("green4x4.bmp");
  transporter0.setXYZ(17,-10,1);
  transporter0.setVisible(0);
  transporter0.setHitBox(.05,.05,.05,.05);
  transporter0.setScale(5,5);
  transporter0.nextscene = 2;
  transporter0.setInactive(1);

	textbox0.text = teststr;
	textbox0.setXYZ(2,3,1);
	textbox0.setVisible(0);
	textbox0.setHitBox(.1,.1,.1,.1);
	textbox0.setScale(5,5);

  return 0;
}



int scene1(){

  /*define view*/
  glLoadIdentity();
  gluLookAt(hero.x,hero.y,50.0,hero.x,hero.y,0.0,0.0,1.0,0.0); //follow player

  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

  /*check for hits BEFORE drawing (avoids jittery movement if keyboard interrupt executes before
    isHitBy checks are run)*/
  if(enemy.isHitBy(&hero)){
    enemy.onHit();
    transporter0.setVisible(1);
    transporter0.setInactive(0);
  }
  if(hero.isHitBy(&enemy)){
    hero.onHit();
  }

  if(transporter0.isHitBy(&hero)){
    transporter0.onHit();
  }

  bg.draw();
  enemy.draw();
  hero.draw();
  transporter0.draw();

	/*place before the *.draw() commands to have the sprites drawn above the text box*/
	if(textbox0.isHitBy(&hero)){
		textbox0.onHit();
	}

  return 0;
}



int scene2init(){
  hero.setMask("herman_mask.bmp");
  hero.clearImage();
  hero.setImage("herman.bmp");
  hero.setXYZ(0,0,1);
  hero.setHitBox(10,10,10,10);
  hero.setScale(.1,.1);

  enemy.setMask("sprite_mask.bmp");
  enemy.clearImage();
  enemy.setImage("sprite.bmp");
  enemy.setXYZ(10,-13,1);
  enemy.setHitBox(2,2,2,2);
  enemy.setScale(.5,.5);

  bg.clearImage();
  bg.setImage("test_im2.bmp");
  bg.setBoundaryImage("test_im_bnd2.bmp");
  bg.setScale(1.5,1.5);

  transporter0.setMask("4x4mask.bmp");
  transporter0.clearImage();
  transporter0.setImage("green4x4.bmp");
  transporter0.setXYZ(13,13,1);
  transporter0.setVisible(0);
  transporter0.setHitBox(.05,.05,.05,.05);
  transporter0.setScale(5,5);
  transporter0.nextscene = 1;
  transporter0.setInactive(1);

  return 0;
}



int scene2(){
  /*define view*/
  glLoadIdentity();
  gluLookAt(hero.x,hero.y,50.0,hero.x,hero.y,0.0,0.0,1.0,0.0); //follow player

  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

  /*check for hits BEFORE drawing (avoids jittery movement if keyboard interrupt executes before
    isHitBy checks are run)*/
  if(enemy.isHitBy(&hero)){
    enemy.onHit();
    transporter0.setVisible(1);
    transporter0.setInactive(0);
  }
  if(hero.isHitBy(&enemy)){
    hero.onHit();
  }

  if(transporter0.isHitBy(&hero)){
    transporter0.onHit();
  }

  bg.draw();
  enemy.draw();
  hero.draw();
  transporter0.draw();

  return 0;
}
